Access Connect

Acronis Files Connect versions 10.0.4 and later have been tested for compatibility with macOS 10.12 ‘Sierra’. If you are running an earlier version of Acronis Files Connect, please install 10.0.4 or later to support Sierra client Macs.